## org.apache.lucene.index
Class MergePolicy.OneMerge

    java.lang.Object
      org.apache.lucene.index.MergePolicy.OneMerge

Enclosing class:
  MergePolicy

    public static class MergePolicy.OneMerge

extends Object

OneMerge provides the information necessary to perform an individual primitive merge operation, resulting in a single new segment. The merge spec includes the subset of segments to be merged as well as whether the new segment should use the compound file format.

Constructor Summary
`MergePolicy.OneMerge(org.apache.lucene.index.SegmentInfos segments, boolean useCompoundFile)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergePolicy.OneMerge

    public MergePolicy.OneMerge(org.apache.lucene.index.SegmentInfos segments,
                                boolean useCompoundFile)

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.